View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009305ParaViewBugpublic2009-07-22 17:462009-09-01 21:32
ReporterKen Moreland 
Assigned ToUtkarsh Ayachit 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.6 
Target Version3.6.2Fixed in Version3.6.2 
Summary0009305: Cannot change the color of solid markers in charts
DescriptionWhen you are doing a line plot, you can change the color of the lines in a series, but the fill of any markers remains the same color. To replicate, do the following.

1. Create a line plot any way you want (e.g. Wavelet -> Plot Over Line).
2. Select an active line series in the Display panel.
3. Change Line Style to None and Marker Style to Circle.
4. Click Choose Color and pick a wildly different color.

You will see that a line is drawn around the circles in the color you selected, but the circles are still filled with the original color.
TagsNo tags attached.
Project
Topic Name
Type
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0017255)
Utkarsh Ayachit (administrator)
2009-08-31 16:07

When pen color is changed, we set the same color to be the fill-color as well.


Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.cxx
new revision: 1.7; previous revision: 1.6

Pending 3.6 commit.
(0017265)
Utkarsh Ayachit (administrator)
2009-09-01 09:47

/cvsroot/ParaView3/ParaView3/Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.cxx,v <-- Servers/ServerManager/vtkSMChartNamedOptionsModelProxy.cxx
new revision: 1.5.2.2; previous revision: 1.5.2.1
(0017292)
Alan Scott (manager)
2009-09-01 21:32

Tested local server, trunk, XP.

- Issue History
Date Modified Username Field Change
2009-07-22 17:46 Ken Moreland New Issue
2009-07-22 17:46 Ken Moreland Status backlog => tabled
2009-07-22 17:46 Ken Moreland Assigned To => Utkarsh Ayachit
2009-08-31 16:07 Utkarsh Ayachit Note Added: 0017255
2009-09-01 09:47 Utkarsh Ayachit Note Added: 0017265
2009-09-01 09:47 Utkarsh Ayachit Status tabled => @80@
2009-09-01 09:47 Utkarsh Ayachit Fixed in Version => 3.6.2
2009-09-01 09:47 Utkarsh Ayachit Resolution open => fixed
2009-09-01 21:32 Alan Scott Note Added: 0017292
2009-09-01 21:32 Alan Scott Status @80@ => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker